Rename library/target to KF5::DAV
ClosedPublic

Authored by vkrause on Jan 19 2020, 11:35 AM.

Details

Summary

Prepares this for the move to Frameworks after 20.04.

Diff Detail

Repository
R490 KDAV Library
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 21343
Build 21361: arc lint + arc unit
vkrause created this revision.Jan 19 2020, 11:35 AM
Restricted Application added a project: KDE PIM. · View Herald TranscriptJan 19 2020, 11:35 AM
Restricted Application added a subscriber: kde-pim. · View Herald Transcript
vkrause requested review of this revision.Jan 19 2020, 11:35 AM
cgiboudeaux added inline comments.
CMakeLists.txt
51

to be consistent with the other frameworks (eg karchive → KF5Archive), I think it shall use KF5DAV everywhere

vkrause updated this revision to Diff 73869.Jan 19 2020, 12:14 PM

Remove K prefix from target name.

+1 after updating the review title

vkrause retitled this revision from Rename library/target to KF5::KDAV to Rename library/target to KF5::DAV.Jan 19 2020, 1:36 PM
mlaurent accepted this revision.Jan 23 2020, 6:38 PM
mlaurent added a subscriber: mlaurent.

Seems ok for me

This revision is now accepted and ready to land.Jan 23 2020, 6:38 PM
This revision was automatically updated to reflect the committed changes.
cfeck added a subscriber: cfeck.Feb 8 2020, 3:35 PM

This landed in release/19.12 branch. Was this intentional?

For me it's an error.
@winterz please revert it

thanks for the revert.
this patch was needed in the 19.12 branch until @kossebau patched modules/ECMGeneratePriFile.cmake in extra-cmake-modules